Loading...
Searching...
No Matches
curved_ball_t< T >

## Detailed Description

template<class T>
class rheolef::curved_ball_t< T >

Definition at line 111 of file geo_element_curved_ball.h.

## Public Member Functions

| curved_ball_t (const point_basic< T > &a0, const point_basic< T > &b0, const point_basic< T > &c0, size_t loc_curved_iedg, const point_basic< T > &center0=point_basic< T >(0, 0), const T &radius0=1)
point_basic< T > | operator() (const point_basic< T > &hat_x) const

## Protected Member Functions

point_basic< T > | project_on_boundary (const point_basic< T > &x) const
point_basic< T > | edge (size_t loc_iedg, const T &hat_x) const

## Protected Attributes

std::array< point_basic< T >, 3 > | node
point_basic< T > | center
T | radius
std::array< bool, 3 > | is_bdry_edg

## Constructor & Destructor Documentation

## curved_ball_t()

template<class T >

curved_ball_t | ( | const point_basic< T > & | a0,
|  | const point_basic< T > & | b0,
|  | const point_basic< T > & | c0,
|  | size_t | loc_curved_iedg,
|  | const point_basic< T > & | center0 = `point_basic<T>(0,0)`,
|  | const T & | radius0 = `1`
| ) |  |

Definition at line 114 of file geo_element_curved_ball.h.

## Member Function Documentation

## operator()()

template<class T >

point_basic< T > operator() | ( | const point_basic< T > & | hat_x | ) | const

Definition at line 125 of file geo_element_curved_ball.h.

## project_on_boundary()

template<class T >

point_basic< T > project_on_boundary | ( | const point_basic< T > & | x | ) | const

protected

Definition at line 151 of file geo_element_curved_ball.h.

## edge()

template<class T >

point_basic< T > edge | ( | size_t | loc_iedg,
|  | const T & | hat_x
| ) |  | const

protected

Definition at line 154 of file geo_element_curved_ball.h.

## Member Data Documentation

## node

template<class T >

std::array<point_basic<T>,3> node

protected

Definition at line 165 of file geo_element_curved_ball.h.

## center

template<class T >

point_basic<T> center

protected

Definition at line 166 of file geo_element_curved_ball.h.

## radius

template<class T >

T radius

protected

Definition at line 167 of file geo_element_curved_ball.h.

## is_bdry_edg

template<class T >

std::array<bool,3> is_bdry_edg

protected

Definition at line 168 of file geo_element_curved_ball.h.

The documentation for this class was generated from the following file:

- /build/rheolef-dTNbRN/rheolef-7.2/main/lib/geo_element_curved_ball.h